prompts
Update prompts promptId
Requires scopes: eval:write
PATCH
/
api
/
prompts
/
{promptId}
Update prompts promptId
curl --request PATCH \
--url https://evalgate.com/api/prompts/{promptId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>"
}
'import requests
url = "https://evalgate.com/api/prompts/{promptId}"
payload = {
"name": "<string>",
"description": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', description: '<string>'})
};
fetch('https://evalgate.com/api/prompts/{promptId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"createdAt": "<string>",
"updatedAt": "<string>",
"archivedAt": "<string>",
"versions": [
{
"createdAt": "<string>",
"submittedAt": "<string>",
"approvedAt": "<string>",
"definition": {
"messages": [
{
"id": "<string>",
"role": "user",
"content": "<string>",
"name": "<string>",
"toolCallId": "<string>"
}
],
"variables": [
{
"name": "<string>",
"type": "string",
"required": true,
"description": "<string>",
"default": "<string>"
}
],
"inputSchema": {
"type": "<string>",
"properties": {},
"required": [
"<string>"
],
"additionalProperties": false,
"items": true,
"enum": [
"<string>"
]
},
"model": {
"provider": "<string>",
"model": "<string>",
"routingKey": "<string>"
},
"parameters": {},
"tools": [
{
"name": "<string>",
"inputSchema": {
"type": "<string>",
"properties": {},
"required": [
"<string>"
],
"additionalProperties": false,
"items": true,
"enum": [
"<string>"
]
},
"description": "<string>",
"strict": false
}
],
"tags": [
"<string>"
],
"outputSchema": {
"type": "<string>",
"properties": {},
"required": [
"<string>"
],
"additionalProperties": false,
"items": true,
"enum": [
"<string>"
]
},
"responseFormat": "json",
"dataPolicy": "<string>",
"fallbackPolicy": "<string>"
},
"versionId": 123,
"artifactId": 123,
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"versionNumber": 123,
"payload": {},
"summary": {},
"metadata": {},
"createdBy": "<string>",
"parentVersionId": 123,
"contentHash": "<string>",
"reviewStatus": "<string>",
"reviewRevision": 123,
"submittedBy": "<string>",
"approvedBy": "<string>"
}
],
"bindings": [
{
"publishedAt": "<string>",
"updatedAt": "<string>",
"id": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"artifactId": 123,
"environment": "<string>",
"versionId": 123,
"previousVersionId": 123,
"protected": true,
"revision": 123,
"publishedBy": "<string>"
}
],
"id": 123,
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "<string>",
"key": "<string>",
"displayName": "<string>",
"createdBy": "<string>",
"description": "<string>",
"ownerId": "<string>",
"status": "<string>"
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Successful response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
Update prompts promptId
